summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author R. S. Ananda Murthy <rsamurti@gmail.com>2014-06-08 08:24:50 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-06-12 06:51:43 +0700
commitfe9c17de9b919425876421f9964cd29fd0d060be (patch)
tree81d2835fb890d2fd93e85e114e3d1dc4df48f506
parent6e228d6806f07ae11017610b392ebfa65fda772f (diff)
downloadslackbuilds-fe9c17de9b919425876421f9964cd29fd0d060be.tar.gz
slackbuilds-fe9c17de9b919425876421f9964cd29fd0d060be.tar.xz
office/pdfchain: Added (A GUI for PDF Tool Kit).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--office/pdfchain/README5
-rw-r--r--office/pdfchain/doinst.sh9
-rw-r--r--office/pdfchain/pdfchain.SlackBuild99
-rw-r--r--office/pdfchain/pdfchain.info10
-rw-r--r--office/pdfchain/slack-desc19
5 files changed, 142 insertions, 0 deletions
diff --git a/office/pdfchain/README b/office/pdfchain/README
new file mode 100644
index 0000000000..363e4191bc
--- /dev/null
+++ b/office/pdfchain/README
@@ -0,0 +1,5 @@
+PDFChain
+
+PDFChain is a graphical user interface for the PDF Toolkit (PDFtk).
+The GUI supports all common features of the command line tool in
+a comfortable way.
diff --git a/office/pdfchain/doinst.sh b/office/pdfchain/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/office/pdfchain/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/office/pdfchain/pdfchain.SlackBuild b/office/pdfchain/pdfchain.SlackBuild
new file mode 100644
index 0000000000..c51a7eafce
--- /dev/null
+++ b/office/pdfchain/pdfchain.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for pdfchain
+
+# Copyright 2014 R. S. Ananda Murthy, Mysore, India
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pdfchain
+VERSION=${VERSION:-0.4.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+sed -i s:'/usr/bin/pdfchain':'pdfchain': $PKG/usr/share/applications/$PRGNAM.desktop
+sed -i s:'/usr/share/pixmaps/pdfchain.png':'pdfchain': $PKG/usr/share/applications/$PRGNAM.desktop
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm $PKG/usr/doc/$PRGNAM-$VERSION/NEWS
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/pdfchain/pdfchain.info b/office/pdfchain/pdfchain.info
new file mode 100644
index 0000000000..1c8cbd54f4
--- /dev/null
+++ b/office/pdfchain/pdfchain.info
@@ -0,0 +1,10 @@
+PRGNAM="pdfchain"
+VERSION="0.4.4"
+HOMEPAGE="http://pdfchain.sourceforge.net/index.html"
+DOWNLOAD="http://downloads.sourceforge.net/project/pdfchain/pdfchain-0.4.4/pdfchain-0.4.4.tar.gz"
+MD5SUM="7efed6b99e90bc4d43c17181903ef2c3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gtkmm3 pdftk"
+MAINTAINER="R. S. Ananda Murthy"
+EMAIL="rsamurti@gmail.com"
diff --git a/office/pdfchain/slack-desc b/office/pdfchain/slack-desc
new file mode 100644
index 0000000000..895f076e0b
--- /dev/null
+++ b/office/pdfchain/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pdfchain: pdfchain (A GUI for PDF Tool Kit)
+pdfchain:
+pdfchain: PDF Chain is a Graphical User Interface for the PDF Tool Kit,
+pdfchain: released under the terms of the GNU Public License verion 3.
+pdfchain: It includes features designed to handle PDF files in a easy way.
+pdfchain: Basicaly it can merge, split, add backgrounds or stamps and add
+pdfchain: attachments. There are some tools for extended needs, too.
+pdfchain: The gui is written in GTKmm, a C++ library for GTK.
+pdfchain:
+pdfchain:
+pdfchain: